Sto usando Ubuntu 16.04 e non c'è fglrx!

15

Sto usando Ubuntu 16.04 e non c'è fglrx! Che cosa è successo?

    
posta digitalcrow 09.03.2016 - 23:54

3 risposte

8

Per avviare Steam senza fglrx, digita questo nel Terminale:

LD_PRELOAD='/usr/$LIB/libstdc++.so.6' DISPLAY=:0 steam

Il terminale deve essere attivo, per i giochi di piccole dimensioni (Stellaris è mio) è praticabile.

    
risposta data Fream 18.05.2016 - 10:41
26

La cronologia delle pubblicazioni su Launchpad indica che il pacchetto è stato cancellato per la 16.04:

Removed from disk on 2016-03-03.
Removal requested on 2016-03-03.
Deleted on 2016-03-03 by Martin Pitt
(tjaalton) there will not be updates any more, incompatible with new X.org ABI, free driver is good enough now

Potresti pubblicare un bug su Launchpad se ritieni che il driver open source non sia abbastanza buono.

Le Note di rilascio per 16.04 hanno ulteriori informazioni:

  

fglrx

     

Il driver fglrx è ora obsoleto in 16.04 e consigliamo di aprirlo   alternative di fonte (radeon e amdgpu). AMD ha dedicato molto lavoro   i driver e abbiamo eseguito il backport del codice del kernel da Linux 4.5 per fornire a   esperienza migliore.

     

Durante l'aggiornamento ad Ubuntu 16.04 da una versione precedente, entrambi i fglrx   il driver e xorg.conf verranno rimossi, in modo che il sistema sia impostato su   utilizzare il driver amdgpu o il driver radeon (a seconda del file   hardware disponibile).

Nella discussione sulla mailing list , è suggerito che le persone che ne hanno veramente bisogno il driver fglrx potrebbe dover continuare a utilizzare 14.04 finché il driver open source non migliora:

  

AMD ha abbandonato il supporto per il driver video fglrx proprietario-blob, quindi non può essere incluso in 16.04 LTS. L'ultima versione di AMD non può essere utilizzata perché non è compatibile con il server di visualizzazione x.org più recente. La maggior parte delle persone sarà in grado di utilizzare il driver video AMD open source, ma ci sono alcune applicazioni (alcuni giochi ad alta intensità di grafica, bitcoin mining) per i quali è inadeguata. Le persone che si affidano a tali applicazioni potrebbero scegliere di rimanere su 14.04 LTS fino a quando un supporto adeguato non viene inserito nei driver video AMD open source.

Related:

risposta data muru 10.03.2016 - 00:05
-3

la grafica per le schede grafiche AMD Radeon è stata rilasciata per la maggior parte delle versioni di Ubuntu e quindi mi aspetto che ne pubblicheranno una anche per la 16.04. Leggendo le FAQ, esso (fglrx) è in gran parte pubblicato, 12 settimane dopo aver rilasciato la versione di Ubuntu; quindi dobbiamo essere un po 'più pazienti.

L'utilizzo del driver open source con un AMD Radeon HD6670 funziona bene ma non troppo. Per esempio. foto sono sicuramente visualizzati con una qualità inferiore. Anche l'X-server si blocca di tanto in tanto (anche se devo ancora indagare su cosa succede esattamente).

    
risposta data balance99 30.04.2016 - 20:24

Leggi altre domande sui tag